Page MenuHomePhabricator

References section created with complex div tags in Content Translation
Closed, ResolvedPublic

Description

Related to T105483.
When I imported the references section from Catalan to English it converted very awkwardly in the code, even though the visual output looks the same.

The original code looked like this:

{{Referències}}

But the output from the Content Translation tool in english wikipedia looked like this:

<div class="reflist" id="cx481" style=" list-style-type:decimal;" data-source="481" data-cx-state="source" data-cx-weight="28" contenteditable="true">
<references /></div>

Here's the relevant diff: https://en.wikipedia.org/w/index.php?title=Tour_of_Tasmania&oldid=670689242

Event Timeline

Wittylama raised the priority of this task from to Needs Triage.
Wittylama updated the task description. (Show Details)
Wittylama added a project: ContentTranslation.
Wittylama added a subscriber: Wittylama.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 10 2015, 3:50 PM
Amire80 triaged this task as Medium priority.Jul 10 2015, 8:00 PM
Amire80 set Security to None.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 2 2015, 3:08 PM
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 18 2015, 8:29 PM

You wont see the data attributes and contenteditabe in the div now since we remove it before publishing. The div may be still there because of differences in adaptation between reflist template and <references/>. We are working on improving the general template support in CX. More at https://www.mediawiki.org/wiki/Content_translation/Templates

Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Dec 10 2018, 1:37 PM
Etonkovidova closed this task as Resolved.Jan 7 2019, 4:08 AM
Etonkovidova claimed this task.
Etonkovidova added a subscriber: Etonkovidova.

Checked in CX2 along with other tickets on reference issues, e.g. T109174: ContentTranslation inserts HTML source when adapting {{Cite journal}} from English to Czech, Chinese ). The references and reference list handled different without many issues that were reported in CX1.